%define ocamlname qtest

Name:           ocaml-%{ocamlname}
Version:        2.9
Release:        1%{?dist}.emp1
Summary:        Inline (Unit) Tests for OCaml
License:        GPL
URL:            https://github.com/vincent-hugot/%{ocamlname}
Source0:        %{ocamlname}-%{version}.tar.gz

Requires:  	ocaml >= 3.12.1
Requires:  	ocaml-ounit >= 2.0.0
Requires:  	ocaml-qcheck >= 0.5

BuildRequires:  ocaml >= 4.02.0
BuildRequires:  jbuilder
BuildRequires:  ocaml-ounit-devel >= 2.0.0
BuildRequires:  ocaml-qcheck >= 0.5

%description 
qtest extracts inline unit tests written using a special syntax in
comments. Those tests are then run using the oUnit framework and the
qcheck library.  The possibilities range from trivial tests --
extremely simple to use -- to sophisticated random generation of test
cases.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:  	ocaml-ounit-devel >= 2.0.0
Requires:  	ocaml-qcheck-devel >= 0.5

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_libdir}/ocaml
jbuilder install --destdir=%{buildroot} --libdir=%{buildroot}%{_libdir}/ocaml
rm %{buildroot}/doc/qtest/{LICENSE,README.adoc}
mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}/bin/qtest %{buildroot}%{_bindir}/qtest || true

%files
%doc LICENSE
%{_bindir}/qtest
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif

%files devel
%doc HOWTO.adoc README.adoc
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
